Tenants
Endpoint to list workspaces of an organization.
Args: organization_id: Organization ID. status: Filter for only workspaces with this status. workspace_type: Filter for workspaces of this type. offset: Offset for pagination. limit: Limit for pagination. auth_context: The authentication context. rbac: RBAC component. workspace_manager: Workspace manager.
Returns: List of all workspaces matching the given filters.
Enum that represents the desired state or status of a workspace.
These values can be used in two places:
- in the
desired_statefield of a workspace object, to indicate the desired state of the workspace (with the exception ofPENDINGandFAILEDwhich are not valid values fordesired_state) - in the
statusfield of a workspace object, to indicate the current state of the workspace
Enum that represents the product type of a workspace.
0100Successful Response
Pydantic Model for viewing a workspace.
The name of the workspace.
The display name of the workspace.
The description of the workspace.
The logo URL of the workspace.
Whether the workspace is managed by ZenML Pro or managed externally and enrolled.
trueThe product type of the workspace.
Credentials generated for enrolled workspaces. Only set for enrolled workspaces and only during the enrollment process.
The desired state of the workspace.
The reason for the current workspace state.
The current operational state of the workspace.
The time the status was last updated.
Validation Error
GET /organizations/{organization_id}/tenants HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"display_name": "text",
"description": "text",
"logo_url": "text",
"organization": {
"name": "text",
"description": "text",
"logo_url": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"owner": {
"password": "text",
"password_expired": true,
"name": "text",
"avatar_url": "text",
"company": "text",
"job_title": "text",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"username": "text",
"email": "text",
"oauth_provider": "text",
"oauth_id": "text",
"is_active": true,
"is_superuser": false,
"is_service_account": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"password_changed_at": "2026-01-01T00:00:00.000Z",
"is_onboarded": false
},
"signup_source": "zenml_cloud",
"links": [
{
"label": "text",
"url": "text"
}
],
"announcements": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text",
"dismissable": false,
"link": {
"label": "text",
"url": "text"
},
"type": "info"
}
],
"trusted_domains": [
"text"
],
"has_active_subscription": true,
"trial_expiry": 1,
"enabled_features": [
"user"
]
},
"owner": {
"password": "text",
"password_expired": true,
"name": "text",
"avatar_url": "text",
"company": "text",
"job_title": "text",
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"username": "text",
"email": "text",
"oauth_provider": "text",
"oauth_id": "text",
"is_active": true,
"is_superuser": false,
"is_service_account": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"password_changed_at": "2026-01-01T00:00:00.000Z",
"is_onboarded": false
},
"is_managed": true,
"workspace_type": "zenml",
"enrollment_key": "text",
"zenml_service": {
"configuration": {
"version": "text",
"analytics_enabled": true,
"secrets_store": {
"type": "sql"
},
"backup_secrets_store": {
"type": "sql"
},
"admin": {
"helm_chart_version": "text",
"image_repository": "text",
"image_tag": "text",
"debug": true,
"otel_exporter_otlp_endpoint": "text",
"otel_logs_enabled": true,
"otel_metrics_enabled": true,
"otel_traces_enabled": true,
"otel_service_name_prefix": "text",
"rbac_implementation_source": "text",
"workload_manager_implementation_source": "text",
"feature_gate_implementation_source": "text",
"stream_broker_implementation_source": "text",
"environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secret_environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"provider_type": "argocd",
"provider_config": {
"terraform": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"argocd": {
"github_client": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
},
"service_tier": "basic",
"resources": {
"replicas": 1,
"cpu": "text",
"memory": "text",
"max_cpu": "text",
"max_memory": "text",
"memory_migration": "text",
"max_memory_migration": "text",
"autoscaling_enabled": false,
"min_replicas": 1,
"max_replicas": 1,
"thread_pool_size": 40,
"db_pool_size": 20,
"db_pool_overflow": 20,
"workspace_node_pool": "main",
"workload_node_pool": "main",
"max_concurrent_template_runs": 1,
"memory_run_template": "text",
"max_memory_run_template": "text",
"max_storage_size": 1073741824
},
"features": {
"schedules": {
"enabled": true
},
"resource_pools": {
"enabled": true
},
"async_snapshot_execution": {
"enabled": true
}
}
}
},
"status": {
"server_url": "text",
"version": "text",
"storage_size": 1,
"storage_size_last_updated": "2026-01-01T00:00:00.000Z",
"storage_access_blocked": false,
"enabled_features": [
"user"
]
}
},
"kitaru_service": {
"configuration": {
"version": "text",
"admin": {
"helm_chart_version": "text",
"image_repository": "text",
"image_tag": "text",
"log_verbosity": "debug",
"otel_exporter_otlp_endpoint": "text",
"otel_logs_enabled": true,
"otel_metrics_enabled": true,
"otel_traces_enabled": true,
"otel_service_name_prefix": "text",
"environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secret_environment_vars": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"provider_type": "argocd",
"provider_config": {
"terraform": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"argocd": {
"github_client": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
},
"service_tier": "basic",
"resources": {
"replicas": 1,
"cpu": "text",
"memory": "text",
"max_memory": "text",
"autoscaling_enabled": false,
"min_replicas": 1,
"max_replicas": 1,
"db_pool_size": 20,
"db_pool_overflow": 20,
"workspace_node_pool": "main"
}
}
},
"status": {
"server_url": "text",
"version": "text"
}
},
"usage_counts": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"desired_state": "not_initialized",
"state_reason": "user_action",
"status": "not_initialized",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"status_updated": "2026-01-01T00:00:00.000Z"
}
]Last updated
Was this helpful?